Subject: Speed Limit repeal?

From: Lord Kittenslayer <[email-masked]>
Date: Thu, 16 Nov 1995 17:12:44 -0800

Everyone seems to be ecstatic about states raising their maximum speeds 
up to 70 or 75 - but why?  That may be a good speed for certain 
high-traffic urban freeways, but as an ABSOLUTE MAXIMUM that's still too low!

Anyone who's done any major desert driving knows that there are places 
where you're the only car in sight. Driving 80 or even 100 is not only 
easy, but relatively safe (if your car is up to it). So what's the point 
of having a statewide limit of 70 (besides revenue generation, obviously)?

What I see are severely-flawed federal regulations being replaced with 
slightly-less-flawed local ones.

---

From: Lord Kittenslayer <[email-masked]>
Date: Thu, 16 Nov 1995 17:12:44 -0800